package com.gic.haoban.manage.service.entity.hm;

import java.io.Serializable ;

/**
 * 
 * @ClassName: TabHaobanHmLinkChat
 * @Description: TODO
 * @Author 徐高华
 * @Date 2022年11月25日 22:36:24
 * @Modify
 * @CopyRight 
 */
public class TabHmLinkChat implements Serializable{

	private static final long serialVersionUID = 45285331843100L;
	
	private Long linkChatId;
	private String wxEnterpriseId;
	/**人群*/
	private String filterJson;
	/**群活码ID*/
	private Long chatHmId;
	private String enterpriseId;
	/**会员类型（0：会员筛选，1：会员分组）*/
	private Integer memberType;
	/**排序值*/
	private Integer sortNum;
	private java.util.Date createTime;
	private java.util.Date updateTime;
	private Integer deleteFlag;
	private Long linkId ;
	private Integer otherFlag = 0 ;
	
	public Integer getOtherFlag() {
        return otherFlag;
    }

    public void setOtherFlag(Integer otherFlag) {
        this.otherFlag = otherFlag;
    }

    public Long getLinkId() {
        return linkId;
    }

    public void setLinkId(Long linkId) {
        this.linkId = linkId;
    }

    public void setLinkChatId(Long linkChatId){
		this.linkChatId = linkChatId;
	}
	
	public Long getLinkChatId(){
		return linkChatId;
	}
	public void setWxEnterpriseId(String wxEnterpriseId){
		this.wxEnterpriseId = wxEnterpriseId;
	}
	
	public String getWxEnterpriseId(){
		return wxEnterpriseId;
	}
	public void setFilterJson(String filterJson){
		this.filterJson = filterJson;
	}
	
	public String getFilterJson(){
		return filterJson;
	}
	public void setChatHmId(Long chatHmId){
		this.chatHmId = chatHmId;
	}
	
	public Long getChatHmId(){
		return chatHmId;
	}
	public void setEnterpriseId(String enterpriseId){
		this.enterpriseId = enterpriseId;
	}
	
	public String getEnterpriseId(){
		return enterpriseId;
	}
	public void setMemberType(Integer memberType){
		this.memberType = memberType;
	}
	
	public Integer getMemberType(){
		return memberType;
	}
	public void setSortNum(Integer sortNum){
		this.sortNum = sortNum;
	}
	
	public Integer getSortNum(){
		return sortNum;
	}
	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return createTime;
	}
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return updateTime;
	}
	public void setDeleteFlag(Integer deleteFlag){
		this.deleteFlag = deleteFlag;
	}
	
	public Integer getDeleteFlag(){
		return deleteFlag;
	}
}